Back to Facebook
Apify·Facebook

Search Facebook Events

/apify/facebook-events-scraperasync$0.026 / result

Facebook Events Scraper extracts data such as event name, location, description or number of users who are interested. You can use URLs of specific events or come up with search queries and explore pretty much unlimited number of events. Search queries can be combined with various search filters. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • searchQueriesarray

    Search you want to use to discover new events. You can provide search for topics, such as 'Sport', or for places, such as 'New York', or combine them 'Sport New York'. (default [])

  • startUrlsarray

    URLs to start with. You can provide URLs of event details here or search/explore URLs, e.g. 'https://www.facebook.com/events/1023978871819924' or 'https://www.facebook.com/events/search/?q=Party' or 'https://www.facebook.com/events/explore/fr-paris/110774245616525' or 'https://www.facebook.com/event (default [])

  • maxEventsinteger

    Maximum number of events you want to extract data for. If you leave this field empty, the number of events won't be limited.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apify/facebook-events-scraper","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.